{# Templates/Game/ServerSelection.html.twig #}
{# Page to select the game to play (and possibly create a custom/private game) #}

{% extends 'base.html.twig' %}

{% trans_default_domain 'OutGame' %}

{% block title %}{{ 'serverSelection.title' | trans }}{% endblock %}

{% block metaDescription %}
    "{{ 'serverSelection.metaDescription' | trans }}"
{% endblock %}

{% set isInGame = app.user.lord is not null %}

{% block content %}
    <div class="choose">
        <div class="artworkchoose"></div>

        <p><em>{{ app.user.displayName }}</em>{{ 'serverSelection.introduction' | trans | raw }}</p>

        <div class="tableleft"></div>
        <div class="tableright"></div>
        <table class="tablekingdom2">
            <tbody>
            <tr class="title">
                <th colspan="4">
                    {{ 'serverSelection.arrayTitle' | trans }}
                </th>
            </tr>

            {% for world in worlds %}
                {% include 'Game/ServerEntry.html.twig' with {world: world, isInGame: isInGame} %}
            {% endfor %}

            <tr>
                <td colspan="5">{{ 'serverSelection.tips.firstPart' | trans }} <a href="{{ path('app_help_help') }}">{{ 'serverSelection.tips.help' | trans }}</a> {{ 'serverSelection.tips.lastPart' | trans }}</td>
            </tr>

            <tr class="lastr">
                <td colspan="5"></td>
            </tr>
            </tbody>
        </table>
    </div>
{% endblock %}
